package com.steering.mes.mcp.entity;

/**
 * 数据库表MIL_OFFLINE_RESLUT所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-06-20
 */
@SuppressWarnings("serial")
public class MilOfflineReslutEntity implements java.io.Serializable {
	
	private String id = "";
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	/**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 外径（实际）
     */
    private String diameter = "";
    /**
     * 壁厚（实际）
     */
    private String thickness = "";
    /**
     * 长度（实际）
     */
    private String length = "";
    /**
     * 厂线代码
     */
    private String plineCode = "";
    /**
     * 下线工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     */
    private String offlinePro = "";
    /**
     * 实时返线状态(0- 未开始返线 1-矫直完成 2-探伤完成 3-质检完成)
     */
    private String realTimeStatus = "";
    /**
     * 下线支数
     */
    private String offlineNum = "";
    /**
     * 返线支数
     */
    private String backlineNum = "";
    /**
     * 组炉支数
     */
    private String groupNum = "";
    /**
     * 最终下线支数
     */
    private String finalNum = "";
    /**
     * 是否是组炉批标识(0-未组批，1-组批)
     */
    private String zpFlag = "";
    /**
     * 状态（0-下线 1-处理完成）
     */
    private String status = "";
    /**
     * 下线方式（0-批量下线 1-整炉下线）
     */
    private String typeFlag = "";
    /**
     * 下线时间
     */
    private String offlineTime = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 重量
     */
    private String zpHeight = "";
    /**
     * 复检支数
     */
    private String recheckNum = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 工序合同号
     */
    private String contractNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 交库支数
     */
    private String instorageNum = "";
    /**
     * 修磨合格支数
     */
    private String qualifiedNum = "";
    /**
     * 修磨废品支数
     */
    private String scrapNum = "";
    /**
     * 组批主炉号
     */
    private String zpMLh = "";
    /**
     * 长度上下限(实际)
     */
    private String actLenRange = "";
    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     */
    private String offlineType = "";
    /**
     * 委外支数
     */
    private String subcontractNum = "";
    /**
     * 委外完成支数
     */
    private String subcontractcompleteNum = "";
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 去向(A:成品 ,B、C:在制品)
     */
    private String target = "";
    /**
     * 委外完成重量
     */
    private String subcontractcompleteWgt = "";
    /**
     * 委外分切数
     */
    private String subcontractCompleteCut = "";
    /**
     * 委外分切定尺
     */
    private String subcontractCompleteLen = "";
    /**
     *  委外废品支数
     */
    private String subcontractscrapNum = "";
    /**
     * 执行工艺号
     */
    private String impProcess = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 是否脱单（0-未脱单 1-已脱单）
     */
    private String isTake = "";

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 外径（实际）
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 外径（实际）
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 壁厚（实际）
     * @return value
     */
    public String getThickness() {
        return thickness;
    }

    /**
     * 壁厚（实际）
     * @param thickness value
     */
    public void setThickness(String thickness) {
        this.thickness = thickness;
    }

    /**
     * 长度（实际）
     * @return value
     */
    public String getLength() {
        return length;
    }

    /**
     * 长度（实际）
     * @param length value
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 下线工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     * @return value
     */
    public String getOfflinePro() {
        return offlinePro;
    }

    /**
     * 下线工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     * @param offlinePro value
     */
    public void setOfflinePro(String offlinePro) {
        this.offlinePro = offlinePro;
    }

    /**
     * 实时返线状态(0- 未开始返线 1-矫直完成 2-探伤完成 3-质检完成)
     * @return value
     */
    public String getRealTimeStatus() {
        return realTimeStatus;
    }

    /**
     * 实时返线状态(0- 未开始返线 1-矫直完成 2-探伤完成 3-质检完成)
     * @param realTimeStatus value
     */
    public void setRealTimeStatus(String realTimeStatus) {
        this.realTimeStatus = realTimeStatus;
    }

    /**
     * 下线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getBacklineNum() {
        return backlineNum;
    }

    /**
     * 返线支数
     * @param backlineNum value
     */
    public void setBacklineNum(String backlineNum) {
        this.backlineNum = backlineNum;
    }

    /**
     * 组炉支数
     * @return value
     */
    public String getGroupNum() {
        return groupNum;
    }

    /**
     * 组炉支数
     * @param groupNum value
     */
    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    /**
     * 最终下线支数
     * @return value
     */
    public String getFinalNum() {
        return finalNum;
    }

    /**
     * 最终下线支数
     * @param finalNum value
     */
    public void setFinalNum(String finalNum) {
        this.finalNum = finalNum;
    }

    /**
     * 是否是组炉批标识(0-未组批，1-组批)
     * @return value
     */
    public String getZpFlag() {
        return zpFlag;
    }

    /**
     * 是否是组炉批标识(0-未组批，1-组批)
     * @param zpFlag value
     */
    public void setZpFlag(String zpFlag) {
        this.zpFlag = zpFlag;
    }

    /**
     * 状态（0-下线 1-处理完成）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（0-下线 1-处理完成）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 下线方式（0-批量下线 1-整炉下线）
     * @return value
     */
    public String getTypeFlag() {
        return typeFlag;
    }

    /**
     * 下线方式（0-批量下线 1-整炉下线）
     * @param typeFlag value
     */
    public void setTypeFlag(String typeFlag) {
        this.typeFlag = typeFlag;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineTime() {
        return offlineTime;
    }

    /**
     * 下线时间
     * @param offlineTime value
     */
    public void setOfflineTime(String offlineTime) {
        this.offlineTime = offlineTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 重量
     * @return value
     */
    public String getZpHeight() {
        return zpHeight;
    }

    /**
     * 重量
     * @param zpHeight value
     */
    public void setZpHeight(String zpHeight) {
        this.zpHeight = zpHeight;
    }

    /**
     * 复检支数
     * @return value
     */
    public String getRecheckNum() {
        return recheckNum;
    }

    /**
     * 复检支数
     * @param recheckNum value
     */
    public void setRecheckNum(String recheckNum) {
        this.recheckNum = recheckNum;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 工序合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 交库支数
     * @return value
     */
    public String getInstorageNum() {
        return instorageNum;
    }

    /**
     * 交库支数
     * @param instorageNum value
     */
    public void setInstorageNum(String instorageNum) {
        this.instorageNum = instorageNum;
    }

    /**
     * 修磨合格支数
     * @return value
     */
    public String getQualifiedNum() {
        return qualifiedNum;
    }

    /**
     * 修磨合格支数
     * @param qualifiedNum value
     */
    public void setQualifiedNum(String qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    /**
     * 修磨废品支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 修磨废品支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 组批主炉号
     * @return value
     */
    public String getZpMLh() {
        return zpMLh;
    }

    /**
     * 组批主炉号
     * @param zpMLh value
     */
    public void setZpMLh(String zpMLh) {
        this.zpMLh = zpMLh;
    }

    /**
     * 长度上下限(实际)
     * @return value
     */
    public String getActLenRange() {
        return actLenRange;
    }

    /**
     * 长度上下限(实际)
     * @param actLenRange value
     */
    public void setActLenRange(String actLenRange) {
        this.actLenRange = actLenRange;
    }

    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     * @return value
     */
    public String getOfflineType() {
        return offlineType;
    }

    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     * @param offlineType value
     */
    public void setOfflineType(String offlineType) {
        this.offlineType = offlineType;
    }

    /**
     * 委外支数
     * @return value
     */
    public String getSubcontractNum() {
        return subcontractNum;
    }

    /**
     * 委外支数
     * @param subcontractNum value
     */
    public void setSubcontractNum(String subcontractNum) {
        this.subcontractNum = subcontractNum;
    }

    /**
     * 委外完成支数
     * @return value
     */
    public String getSubcontractcompleteNum() {
        return subcontractcompleteNum;
    }

    /**
     * 委外完成支数
     * @param subcontractcompleteNum value
     */
    public void setSubcontractcompleteNum(String subcontractcompleteNum) {
        this.subcontractcompleteNum = subcontractcompleteNum;
    }

    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 去向(A:成品 ,B、C:在制品)
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 去向(A:成品 ,B、C:在制品)
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 委外完成重量
     * @return value
     */
    public String getSubcontractcompleteWgt() {
        return subcontractcompleteWgt;
    }

    /**
     * 委外完成重量
     * @param subcontractcompleteWgt value
     */
    public void setSubcontractcompleteWgt(String subcontractcompleteWgt) {
        this.subcontractcompleteWgt = subcontractcompleteWgt;
    }

    /**
     * 委外分切数
     * @return value
     */
    public String getSubcontractCompleteCut() {
        return subcontractCompleteCut;
    }

    /**
     * 委外分切数
     * @param subcontractCompleteCut value
     */
    public void setSubcontractCompleteCut(String subcontractCompleteCut) {
        this.subcontractCompleteCut = subcontractCompleteCut;
    }

    /**
     * 委外分切定尺
     * @return value
     */
    public String getSubcontractCompleteLen() {
        return subcontractCompleteLen;
    }

    /**
     * 委外分切定尺
     * @param subcontractCompleteLen value
     */
    public void setSubcontractCompleteLen(String subcontractCompleteLen) {
        this.subcontractCompleteLen = subcontractCompleteLen;
    }

    /**
     *  委外废品支数
     * @return value
     */
    public String getSubcontractscrapNum() {
        return subcontractscrapNum;
    }

    /**
     *  委外废品支数
     * @param subcontractscrapNum value
     */
    public void setSubcontractscrapNum(String subcontractscrapNum) {
        this.subcontractscrapNum = subcontractscrapNum;
    }

    /**
     * 执行工艺号
     * @return value
     */
    public String getImpProcess() {
        return impProcess;
    }

    /**
     * 执行工艺号
     * @param impProcess value
     */
    public void setImpProcess(String impProcess) {
        this.impProcess = impProcess;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 是否脱单（0-未脱单 1-已脱单）
     * @return value
     */
    public String getIsTake() {
        return isTake;
    }

    /**
     * 是否脱单（0-未脱单 1-已脱单）
     * @param isTake value
     */
    public void setIsTake(String isTake) {
        this.isTake = isTake;
    }
}